/*
 * Copyright: STEM Loyola
 * Date     : March 2019
 * ID       : 19.03-A2
 * Level    : 2 (Intermediate)
 *
 * Task     : The "numbers.txt" file contains 10,000 numbers. Jane has
 *            written the following program that displays all numbers on
 *            the screen. Your task is to improve the program so that
 *            when it is run, the program will display ONLY odd numbers
 *            and at the end display the total count of even numbers 
 *            contained in the file.
 *
 * Solved By: [Your full name and email go here]
*/

#include<stdio.h>
#include<stdlib.h>   // exit()

#define FILE_NAME "numbers.txt"
#define NUMBERS_COUNT    10000

int main() {
    // Open the numbers file
    FILE *numbers_file;
    numbers_file = fopen(FILE_NAME, "r");

    // Ensure the file was opened successfully
    if (numbers_file == NULL) {
        printf("Error: could not open the file \"%s\"\n", FILE_NAME);
        printf("Quitting...\n");

        exit(1);    // Terminate the program
    }

    // Process the numbers' file and display results
    int number, line;
    for(line = 1; line <= NUMBERS_COUNT; line++) {
        fscanf(numbers_file, "%d", &number);  // Read the next number from the file

        printf("%d: %d\n", line, number);
    }

    // Close open resources
    fclose(numbers_file);

    return 0;
}
